Bug 149500 - POP3 is broken in 3.5 branch
Summary: POP3 is broken in 3.5 branch
Status: RESOLVED DUPLICATE of bug 149477
Alias: None
Product: kmail
Classification: Applications
Component: pop3 (show other bugs)
Version: SVN (3.5 branch)
Platform: Compiled Sources Linux
: NOR major (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-09-03 00:02 UTC by András Manţia
Modified: 2007-09-05 15:19 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description András Manţia 2007-09-03 00:02:38 UTC
With a relatively recent 3.5 branch (706425), KMail become close to unusable. 
POP3 does not work most of the time. One of the thing is that it lists that "X 
messages were downloaded in Y KB" altough none was downloaded. The console 
output for kio_pop3 and kmail debug areas is:
killall kio_pop3
kio_pop3: no process killed
andris@stein:~> kdeinit: Got EXEC_NEW 'kio_pop3' from launcher.
kio_pop3: POP3Protocol::POP3Protocol()
kdeinit: Got EXEC_NEW 'kio_pop3' from launcher.
kdeinit: Got EXEC_NEW 'kio_pop3' from launcher.
kdeinit: Got EXEC_NEW 'kio_pop3' from launcher.
kdeinit: Got EXEC_NEW 'kio_pop3' from launcher.
kio_pop3: POP3Protocol::POP3Protocol()
kio_pop3: POP3Protocol::POP3Protocol()
kio_pop3: POP3Protocol::POP3Protocol()
kio_pop3: POP3Protocol::POP3Protocol()
kdeinit: Got EXEC_NEW 'kio_pop3' from launcher.
kio_pop3: POP3Protocol::POP3Protocol()
kdeinit: Got EXEC_NEW 'kio_pop3' from launcher.
kdeinit: Got EXEC_NEW 'kio_pop3' from launcher.
kdeinit: Got EXEC_NEW 'kio_pop3' from launcher.
kio_pop3: POP3Protocol::POP3Protocol()
kio_pop3: POP3Protocol::POP3Protocol()
kdeinit: Got EXEC_NEW 'kio_pop3' from launcher.
kio_pop3: POP3Protocol::POP3Protocol()
kdeinit: Got EXEC_NEW 'kio_pop3' from launcher.
kio_pop3: POP3Protocol::POP3Protocol()
kdeinit: Got EXEC_NEW 'kio_pop3' from launcher.
kdeinit: Got EXEC_NEW 'kio_pop3' from launcher.
kdeinit: Got EXEC_NEW 'kio_pop3' from launcher.
kdeinit: Got EXEC_NEW 'kio_pop3' from launcher.
kio_pop3: POP3Protocol::POP3Protocol()
kio_pop3: POP3Protocol::POP3Protocol()
kio_pop3: POP3Protocol::POP3Protocol()
kio_pop3: POP3Protocol::POP3Protocol()
kio_pop3: POP3Protocol::POP3Protocol()
kdeinit: Got EXEC_NEW 'kio_pop3' from launcher.
kio_pop3: POP3Protocol::POP3Protocol()
kdeinit: Got EXEC_NEW 'kio_pop3' from launcher.
kdeinit: Got EXEC_NEW 'kio_pop3' from launcher.
kdeinit: Got EXEC_NEW 'kio_pop3' from launcher.
kio_pop3: POP3Protocol::POP3Protocol()
kio_pop3: POP3Protocol::POP3Protocol()
kdeinit: Got EXEC_NEW 'kio_pop3' from launcher.
kio_pop3: POP3Protocol::POP3Protocol()
kdeinit: Got EXEC_NEW 'kio_pop3' from launcher.
kio_pop3: POP3Protocol::POP3Protocol()
kdeinit: Got EXEC_NEW 'kio_pop3' from launcher.
kdeinit: Got EXEC_NEW 'kio_pop3' from launcher.
kdeinit: Got EXEC_NEW 'kio_pop3' from launcher.
kdeinit: Got EXEC_NEW 'kio_pop3' from launcher.
kio_pop3: POP3Protocol::POP3Protocol()
kio_pop3: POP3Protocol::POP3Protocol()
kio_pop3: POP3Protocol::POP3Protocol()
kio_pop3: POP3Protocol::POP3Protocol()
kio_pop3: POP3Protocol::POP3Protocol()
kdeinit: Got EXEC_NEW 'kio_pop3' from launcher.
kio_pop3: POP3Protocol::POP3Protocol()
kdeinit: Got EXEC_NEW 'kio_pop3' from launcher.
kdeinit: Got EXEC_NEW 'kio_pop3' from launcher.
kdeinit: Got EXEC_NEW 'kio_pop3' from launcher.
kdeinit: Got EXEC_NEW 'kio_pop3' from launcher.
kio_pop3: POP3Protocol::POP3Protocol()
kio_pop3: POP3Protocol::POP3Protocol()
kio_pop3: POP3Protocol::POP3Protocol()
kdeinit: Got EXEC_NEW 'kio_pop3' from launcher.
kio_pop3: POP3Protocol::POP3Protocol()
kio_pop3: pop3_open()
kio_pop3: pop3_open()
kio_pop3: pop3_open()
kio_pop3: pop3_open()
kio_pop3: pop3_open()
kio_pop3: pop3_open()
kio_pop3: pop3_open()
kio_pop3: pop3_open()
kio_pop3: pop3_open()
kio_pop3: pop3_open()
kio_pop3: pop3_open()
kio_pop3: pop3_open()
kio_pop3: pop3_open()
kio_pop3: pop3_open()
kio_pop3: pop3_open()
kio_pop3: pop3_open()
kio_pop3: pop3_open()
kio_pop3: pop3_open()
kio_pop3: pop3_open()
kio_pop3: pop3_open()
kio_pop3: pop3_open()
kio_pop3: pop3_open()
kio_pop3: pop3_open()
kio_pop3: pop3_open()
kio_pop3: pop3_open()
kio_pop3: pop3_open()
kio_pop3: pop3_open()
kio_pop3: pop3_open()
kio_pop3: pop3_open()
kio_pop3: POP3Protocol::POP3Protocol()
kio_pop3: pop3_open()
kio_pop3: pop3_open()
kio_pop3: greeting: Hello there.
kio_pop3: Trying USER/PASS
kio_pop3: greeting: Hello there.
kio_pop3: Trying USER/PASS
kio_pop3: greeting: Hello there.
kio_pop3: greeting: Hello there.
kio_pop3: Trying USER/PASS
kio_pop3: greeting: Hello there.
kio_pop3: Trying USER/PASS
kio_pop3: Trying USER/PASS
kio_pop3: greeting: Hello there.
kio_pop3: Trying USER/PASS
kio_pop3: greeting: Hello there.
kio_pop3: Trying USER/PASS
kio_pop3: greeting: Hello there.
kio_pop3: Trying USER/PASS
kio_pop3: greeting: Hello there.
kio_pop3: Trying USER/PASS
kio_pop3: greeting: Hello there.
kio_pop3: Trying USER/PASS
kio_pop3: greeting: Hello there.
kio_pop3: Trying USER/PASS
kio_pop3: greeting: Hello there.
kio_pop3: Trying USER/PASS
kio_pop3: greeting: Hello there.
kio_pop3: Trying USER/PASS
kio_pop3: greeting: Hello there.
kio_pop3: Trying USER/PASS
kio_pop3: greeting: Hello there.
kio_pop3: Trying USER/PASS
kio_pop3: greeting: Hello there.
kio_pop3: Trying USER/PASS
kio_pop3: greeting: Hello there.
kio_pop3: Trying USER/PASS
kio_pop3: greeting: Hello there.
kio_pop3: Trying USER/PASS
kio_pop3: greeting: Hello there.
kio_pop3: Trying USER/PASS
kio_pop3: greeting: Hello there.
kio_pop3: Trying USER/PASS
kio_pop3: greeting: Hello there.
kio_pop3: Trying USER/PASS
kio_pop3: USER/PASS login succeeded
kio_pop3: pop3_open()
kio_pop3: Reusing old connection
kio_pop3: USER/PASS login succeeded
kio_pop3: pop3_open()
kio_pop3: Reusing old connection
kio_pop3: USER/PASS login succeeded
kio_pop3: USER/PASS login succeeded
kio_pop3: USER/PASS login succeeded
kio_pop3: USER/PASS login succeeded
kio_pop3: pop3_open()
kio_pop3: Reusing old connection
kio_pop3: pop3_open()
kio_pop3: Reusing old connection
kio_pop3: pop3_open()
kio_pop3: Reusing old connection
kio_pop3: pop3_open()
kio_pop3: Reusing old connection
kio_pop3: USER/PASS login succeeded
kio_pop3: USER/PASS login succeeded
kio_pop3: pop3_open()
kio_pop3: Reusing old connection
kio_pop3: pop3_open()
kio_pop3: Reusing old connection
kio_pop3: USER/PASS login succeeded
kio_pop3: pop3_open()
kio_pop3: Reusing old connection
kio_pop3: USER/PASS login succeeded
kio_pop3: USER/PASS login succeeded
kio_pop3: pop3_open()
kio_pop3: Reusing old connection
kio_pop3: pop3_open()
kio_pop3: Reusing old connection
kio_pop3: USER/PASS login succeeded
kio_pop3: pop3_open()
kio_pop3: Reusing old connection
kio_pop3: USER/PASS login succeeded
kio_pop3: USER/PASS login succeeded
kio_pop3: USER/PASS login succeeded
kio_pop3: pop3_open()
kio_pop3: Reusing old connection
kio_pop3: pop3_open()
kio_pop3: Reusing old connection
kio_pop3: pop3_open()
kio_pop3: Reusing old connection
kio_pop3: Finishing up list
kio_pop3: USER/PASS login succeeded
kio_pop3: USER/PASS login succeeded
kio_pop3: USER/PASS login succeeded
kio_pop3: pop3_open()
kio_pop3: Reusing old connection
kio_pop3: pop3_open()
kio_pop3: Reusing old connection
kio_pop3: pop3_open()
kio_pop3: Reusing old connection
kio_pop3: USER/PASS login succeeded
kio_pop3: pop3_open()
kio_pop3: Reusing old connection
kio_pop3: USER/PASS login succeeded
kio_pop3: pop3_open()
kio_pop3: Reusing old connection
kio_pop3: Finishing up list
kio_pop3: Finishing up list
kio_pop3: Finishing up list
kio_pop3: Finishing up list
kio_pop3: Finishing up list
kio_pop3: Finishing up list
kio_pop3: Finishing up list
kio_pop3: Finishing up list
kio_pop3: Finishing up list
kio_pop3: Finishing up list
kio_pop3: Finishing up list
kio_pop3: Finishing up list
kio_pop3: Finishing up list
kio_pop3: Finishing up list
kio_pop3: Finishing up list
kio_pop3: Finishing up list
kio_pop3: Finishing up list
kio_pop3: Finishing up list
kio_pop3: Finishing up list
kio_pop3: USER/PASS login succeeded
kio_pop3: pop3_open()
kio_pop3: Reusing old connection
kio_pop3: Finishing up list
kio_pop3: greeting: Hello there.
kio_pop3: Trying USER/PASS
kio_pop3: greeting: Hello there.
kio_pop3: Trying USER/PASS
kio_pop3: greeting: Hello there.
kio_pop3: greeting: Hello there.
kio_pop3: Trying USER/PASS
kio_pop3: Trying USER/PASS
kio_pop3: greeting: Hello there.
kio_pop3: Trying USER/PASS
kio_pop3: greeting: Hello there.
kio_pop3: Trying USER/PASS
kio_pop3: greeting: Hello there.
kio_pop3: Trying USER/PASS
kio_pop3: greeting: Hello there.
kio_pop3: Trying USER/PASS
kio_pop3: greeting: Hello there.
kio_pop3: Trying USER/PASS
kio_pop3: greeting: Hello there.
kio_pop3: Trying USER/PASS
kio_pop3: USER/PASS login succeeded
kio_pop3: pop3_open()
kio_pop3: Reusing old connection
kio_pop3: USER/PASS login succeeded
kio_pop3: pop3_open()
kio_pop3: Reusing old connection
kio_pop3: USER/PASS login succeeded
kio_pop3: pop3_open()
kio_pop3: Reusing old connection
kio_pop3: USER/PASS login succeeded
kio_pop3: pop3_open()
kio_pop3: Reusing old connection
kio_pop3: USER/PASS login succeeded
kio_pop3: pop3_open()
kio_pop3: Reusing old connection
kio_pop3: USER/PASS login succeeded
kio_pop3: pop3_open()
kio_pop3: Reusing old connection
kio_pop3: USER/PASS login succeeded
kio_pop3: pop3_open()
kio_pop3: Reusing old connection
kio_pop3: USER/PASS login succeeded
kio_pop3: USER/PASS login succeeded
kio_pop3: pop3_open()
kio_pop3: Reusing old connection
kio_pop3: pop3_open()
kio_pop3: Reusing old connection
kio_pop3: Finishing up list
kio_pop3: USER/PASS login succeeded
kio_pop3: pop3_open()
kio_pop3: Reusing old connection
kio_pop3: Finishing up list
kio_pop3: Finishing up list
kio_pop3: Finishing up list
kio_pop3: Finishing up list
kio_pop3: Finishing up list
kio_pop3: Finishing up list
kio_pop3: Finishing up list
kio_pop3: Finishing up list
kio_pop3: Finishing up list


A second query for the same account results in an "The server terminated the 
connection immediately." error with the following debug output:
kio_pop3: pop3_open()
kdeinit: Got EXEC_NEW 'kio_pop3' from launcher.
kdeinit: Got EXEC_NEW 'kio_pop3' from launcher.
kdeinit: Got EXEC_NEW 'kio_pop3' from launcher.
kdeinit: Got EXEC_NEW 'kio_pop3' from launcher.
kio_pop3: POP3Protocol::POP3Protocol()
kio_pop3: POP3Protocol::POP3Protocol()
kio_pop3: POP3Protocol::POP3Protocol()
kdeinit: Got EXEC_NEW 'kio_pop3' from launcher.
kio_pop3: POP3Protocol::POP3Protocol()
kdeinit: Got EXEC_NEW 'kio_pop3' from launcher.
kdeinit: Got EXEC_NEW 'kio_pop3' from launcher.
kdeinit: Got EXEC_NEW 'kio_pop3' from launcher.
kdeinit: Got EXEC_NEW 'kio_pop3' from launcher.
kio_pop3: POP3Protocol::POP3Protocol()
kio_pop3: POP3Protocol::POP3Protocol()
kio_pop3: POP3Protocol::POP3Protocol()
kio_pop3: POP3Protocol::POP3Protocol()
kdeinit: Got EXEC_NEW 'kio_pop3' from launcher.
kio_pop3: greeting: Hello there.
kio_pop3: Trying USER/PASS
kio_pop3: POP3Protocol::POP3Protocol()
kdeinit: Got EXEC_NEW 'kio_pop3' from launcher.
kdeinit: Got EXEC_NEW 'kio_pop3' from launcher.
kdeinit: Got EXEC_NEW 'kio_pop3' from launcher.
kdeinit: Got EXEC_NEW 'kio_pop3' from launcher.
kio_pop3: POP3Protocol::POP3Protocol()
kio_pop3: POP3Protocol::POP3Protocol()
kio_pop3: POP3Protocol::POP3Protocol()
kio_pop3: POP3Protocol::POP3Protocol()
kio_pop3: POP3Protocol::POP3Protocol()
kdeinit: Got EXEC_NEW 'kio_pop3' from launcher.
kio_pop3: POP3Protocol::POP3Protocol()
kdeinit: Got EXEC_NEW 'kio_pop3' from launcher.
kdeinit: Got EXEC_NEW 'kio_pop3' from launcher.
kdeinit: Got EXEC_NEW 'kio_pop3' from launcher.
kdeinit: Got EXEC_NEW 'kio_pop3' from launcher.
kio_pop3: POP3Protocol::POP3Protocol()
kio_pop3: POP3Protocol::POP3Protocol()
kio_pop3: POP3Protocol::POP3Protocol()
kio_pop3: POP3Protocol::POP3Protocol()
kdeinit: Got EXEC_NEW 'kio_pop3' from launcher.
kio_pop3: POP3Protocol::POP3Protocol()
kdeinit: Got EXEC_NEW 'kio_pop3' from launcher.
kdeinit: Got EXEC_NEW 'kio_pop3' from launcher.
kdeinit: Got EXEC_NEW 'kio_pop3' from launcher.
kdeinit: Got EXEC_NEW 'kio_pop3' from launcher.
kio_pop3: POP3Protocol::POP3Protocol()
kio_pop3: POP3Protocol::POP3Protocol()
kio_pop3: POP3Protocol::POP3Protocol()
kdeinit: Got EXEC_NEW 'kio_pop3' from launcher.
kio_pop3: POP3Protocol::POP3Protocol()
kdeinit: Got EXEC_NEW 'kio_pop3' from launcher.
kio_pop3: USER/PASS login succeeded
kio_pop3: pop3_open()
kio_pop3: Reusing old connection
kdeinit: Got EXEC_NEW 'kio_pop3' from launcher.
kdeinit: Got EXEC_NEW 'kio_pop3' from launcher.
kio_pop3: POP3Protocol::POP3Protocol()
kio_pop3: POP3Protocol::POP3Protocol()
kio_pop3: POP3Protocol::POP3Protocol()
kdeinit: Got EXEC_NEW 'kio_pop3' from launcher.
kio_pop3: POP3Protocol::POP3Protocol()
kdeinit: Got EXEC_NEW 'kio_pop3' from launcher.
kio_pop3: POP3Protocol::POP3Protocol()
kio_pop3: pop3_open()
kio_pop3: pop3_open()
kio_pop3: pop3_open()
kio_pop3: pop3_open()
kio_pop3: pop3_open()
kio_pop3: pop3_open()
kio_pop3: pop3_open()
kio_pop3: pop3_open()
kio_pop3: pop3_open()
kio_pop3: pop3_open()
kio_pop3: pop3_open()
kio_pop3: pop3_open()
kio_pop3: pop3_open()
kio_pop3: pop3_open()
kio_pop3: pop3_open()
kio_pop3: pop3_open()
kio_pop3: pop3_open()
kio_pop3: pop3_open()
kio_pop3: pop3_open()
kio_pop3: pop3_open()
kio_pop3: pop3_open()
kio_pop3: pop3_open()
kio_pop3: pop3_open()
kio_pop3: pop3_open()
kio_pop3: pop3_open()
kio_pop3: pop3_open()
kio_pop3: pop3_open()
kio_pop3: pop3_open()
kio_pop3: pop3_open()
kio_pop3: pop3_open()
kio_pop3: Reusing old connection
kio_pop3: POP3Protocol::POP3Protocol()
kio_pop3: pop3_open()
kio_pop3: greeting: Hello there.
kio_pop3: Trying USER/PASS
kio_pop3: Finishing up list
kio_pop3: greeting: Hello there.
kio_pop3: Trying USER/PASS
kio_pop3: greeting: Hello there.
kio_pop3: Trying USER/PASS
kio_pop3: greeting: Hello there.
kio_pop3: Trying USER/PASS
kio_pop3: greeting: Hello there.
kio_pop3: Trying USER/PASS
kio_pop3: greeting: Hello there.
kio_pop3: Trying USER/PASS
kio_pop3: greeting: Hello there.
kio_pop3: Trying USER/PASS
kio_pop3: greeting: Hello there.
kio_pop3: Trying USER/PASS
kio_pop3: greeting: Hello there.
kio_pop3: Trying USER/PASS
kio_pop3: greeting: Hello there.
kio_pop3: Trying USER/PASS
kio_pop3: greeting: Hello there.
kio_pop3: Trying USER/PASS
kio_pop3: greeting: Hello there.
kio_pop3: Trying USER/PASS
kio_pop3: greeting: Hello there.
kio_pop3: Trying USER/PASS
kio_pop3: greeting: Hello there.
kio_pop3: Trying USER/PASS
kio_pop3: greeting: Hello there.
kio_pop3: greeting: Hello there.
kio_pop3: Trying USER/PASS
kio_pop3: greeting: Hello there.
kio_pop3: Trying USER/PASS
kio_pop3: Trying USER/PASS
kio_pop3: greeting: Hello there.
kio_pop3: greeting: Hello there.
kio_pop3: Trying USER/PASS
kio_pop3: Trying USER/PASS
kio_pop3: Invalid POP3 response received!
kio_pop3: Invalid POP3 response received!
kio_pop3: pop3_open failed
kio_pop3: Invalid POP3 response received!
kio_pop3: Invalid POP3 response received!
kio_pop3: pop3_open failed
kio_pop3: USER/PASS login succeeded
kio_pop3: pop3_open()
kio_pop3: Reusing old connection
kio_pop3: USER/PASS login succeeded
kio_pop3: pop3_open()
kio_pop3: Reusing old connection
kio_pop3: USER/PASS login succeeded
kio_pop3: USER/PASS login succeeded
kio_pop3: pop3_open()
kio_pop3: Reusing old connection
kio_pop3: pop3_open()
kio_pop3: Reusing old connection
kio_pop3: USER/PASS login succeeded
kio_pop3: USER/PASS login succeeded
kio_pop3: pop3_open()
kio_pop3: Reusing old connection
kio_pop3: pop3_open()
kio_pop3: Reusing old connection
kio_pop3: USER/PASS login succeeded
kio_pop3: USER/PASS login succeeded
kio_pop3: USER/PASS login succeeded
kio_pop3: pop3_open()
kio_pop3: Reusing old connection
kio_pop3: pop3_open()
kio_pop3: Reusing old connection
kio_pop3: pop3_open()
kio_pop3: Reusing old connection
kio_pop3: USER/PASS login succeeded
kio_pop3: pop3_open()
kio_pop3: Reusing old connection
kio_pop3: USER/PASS login succeeded
kio_pop3: USER/PASS login succeeded
kio_pop3: pop3_open()
kio_pop3: Reusing old connection
kio_pop3: pop3_open()
kio_pop3: Reusing old connection
kio_pop3: USER/PASS login succeeded
kio_pop3: USER/PASS login succeeded
kio_pop3: USER/PASS login succeeded
kio_pop3: pop3_open()
kio_pop3: Reusing old connection
kio_pop3: pop3_open()
kio_pop3: Reusing old connection
kio_pop3: pop3_open()
kio_pop3: Reusing old connection
kio_pop3: USER/PASS login succeeded
kio_pop3: USER/PASS login succeeded
kio_pop3: pop3_open()
kio_pop3: Reusing old connection
kio_pop3: pop3_open()
kio_pop3: Reusing old connection
kio_pop3: USER/PASS login succeeded
kio_pop3: pop3_open()
kio_pop3: Reusing old connection
kio_pop3: USER/PASS login succeeded
kio_pop3: pop3_open()
kio_pop3: Reusing old connection
kio_pop3: Finishing up list
kio_pop3: Finishing up list
kio_pop3: Finishing up list
kio_pop3: Finishing up list
kio_pop3: Finishing up list
kio_pop3: Finishing up list
kio_pop3: Finishing up list
kio_pop3: Finishing up list
kio_pop3: Finishing up list
kio_pop3: Finishing up list
kio_pop3: Finishing up list
kio_pop3: Finishing up list
kio_pop3: Finishing up list
kio_pop3: Finishing up list
kio_pop3: Finishing up list
kio_pop3: Finishing up list
kio_pop3: Finishing up list
kio_pop3: Finishing up list
kio_pop3: Finishing up list
kio_pop3: Invalid POP3 response received!
kio_pop3: Invalid POP3 response received!
kio_pop3: pop3_open failed
kio_pop3: Invalid POP3 response received!
kio_pop3: Invalid POP3 response received!
kio_pop3: pop3_open failed
kio_pop3: Invalid POP3 response received!
kio_pop3: Invalid POP3 response received!
kio_pop3: pop3_open failed
kio_pop3: Invalid POP3 response received!
kio_pop3: Invalid POP3 response received!
kio_pop3: pop3_open failed
kio_pop3: Invalid POP3 response received!
kio_pop3: Invalid POP3 response received!
kio_pop3: pop3_open failed
kio_pop3: Invalid POP3 response received!
kio_pop3: Invalid POP3 response received!
kio_pop3: pop3_open failed
kio_pop3: Invalid POP3 response received!
kio_pop3: Invalid POP3 response received!
kio_pop3: pop3_open failed
kio_pop3: Invalid POP3 response received!
kio_pop3: Invalid POP3 response received!
kio_pop3: pop3_open failed
kio_pop3: Invalid POP3 response received!
kio_pop3: Invalid POP3 response received!
kio_pop3: pop3_open failed
kdeinit: Got EXEC_NEW 'kio_http' from launcher.
                                                 

From now on I get this error until I kill kio_pop3.

Sometimes during the first try the status message is that X messages were 
downloaded in 0 (!) KB. The second try gives the correct number of messages 
with the correct size, the third try gives the error.

With another POP3 account I get:
"Could not login to XXX. The password may be wrong.
The server said: "[IN-USE] Unable to lock maildrop: Mailbox is locked by POP 
server"

kio_pop3: pop3_open()
kdeinit: Got EXEC_NEW 'kio_pop3' from launcher.
kio_pop3: POP3Protocol::POP3Protocol()
kdeinit: Got EXEC_NEW 'kio_pop3' from launcher.
kdeinit: Got EXEC_NEW 'kio_pop3' from launcher.
kdeinit: Got EXEC_NEW 'kio_pop3' from launcher.
kio_pop3: POP3Protocol::POP3Protocol()
kio_pop3: POP3Protocol::POP3Protocol()
kio_pop3: pop3_open()
kio_pop3: pop3_open()
kio_pop3: POP3Protocol::POP3Protocol()
kio_pop3: pop3_open()
kio_pop3: pop3_open()
kio_pop3: greeting: mail.XXX.ro Cyrus POP3 v2.2.12 server ready
kio_pop3: Trying USER/PASS
kio_pop3: greeting: mail.XXX.ro Cyrus POP3 v2.2.12 server ready
kio_pop3: Trying USER/PASS
kio_pop3: greeting: mail.XXX.ro Cyrus POP3 v2.2.12 server ready
kio_pop3: Trying USER/PASS
kio_pop3: greeting: mail.XXX.ro Cyrus POP3 v2.2.12 server ready
kio_pop3: Trying USER/PASS
kio_pop3: USER/PASS login succeeded
kio_pop3: pop3_open()
kio_pop3: Reusing old connection
kio_pop3: greeting: mail.XXX.ro Cyrus POP3 v2.2.12 server ready
kio_pop3: Trying USER/PASS
kio_pop3: Finishing up list
kio_pop3: Couldn't login. Bad password Sorry.
kio_pop3: Couldn't login. Bad password Sorry.
kio_pop3: Couldn't login. Bad password Sorry.
kio_pop3: pop3_open failed
kio_pop3: pop3_open failed
kio_pop3: Couldn't login. Bad password Sorry.
kio_pop3: pop3_open failed
kio_pop3: pop3_open failed
                                                     
I have to say that the password is OK in this case.

Both accounts worked fine until I recompiled all my KDE, including KMail from 
the above revision.
Comment 1 András Manţia 2007-09-03 00:19:42 UTC
Just to confirm that the servers and my settings are OK, I did a test with an old KDE installation from my system:
export KDEDIRS=/opt/kde-352 
export PATH=$KDEDIRS/bin:$PATH
export LD_LIBRARY_PATH=$KDEDIRS/lib64:$LD_LIBRARY_PATH
kmail

Everything works fine (but I'm not sure which kio_pop3 is used at this stage).
Comment 2 András Manţia 2007-09-03 00:25:11 UTC
And even more test: copied over the kio_pop3 from the working KDE to the current one (and did a kdeinit & kbuildsycoca). Did not help, so it seems the problem is in kmail, not in kio_pop3.
Comment 3 Thomas McGuire 2007-09-03 19:35:41 UTC
I guess all the following bugs are related, and are recently introduced in the enterprise and 3.5 branch:
bug 149413
bug 149477
bug 149492
bug 149493
bug 149500
Comment 4 René Krell 2007-09-04 14:28:46 UTC
I can confirm that bug for the SuSE Factory 10.3 (upcoming Beta3). With the update to the following packages 
 - kdelibs3-3.5.7-56 
 - kdebase3-3.5.7-66 
the problem was introduced on my system, too.
 I switched on fetching mails on startup. On trying to fetch mails manually I get a messagebox: 
   Could not login to _server_. The password may be wrong. 
   The Server said: "Mailbox '_username_' is busy". 
 Within a few minutes I got 55 processes kio_pop3, which grows further. This slows down system extremeley and makes it unusable. New mails are only fetched after startup, after that POP3 fetching is locked up. 
 Furthermore, Kontact with KMail crashes now quite regularly and makes other weird things like marking existing messages with a valid subject in the message list panel temporarily as 'No subject', says something about a locked archive by a second instance on shutdown and similar things.
Comment 5 Thomas McGuire 2007-09-05 15:19:14 UTC
This should be fixed in the 3.5 branch by now. Please reopen if you can still reproduce.

*** This bug has been marked as a duplicate of 149477 ***